vellTRDocs

Public Cancel

POST/v1/public/subscriptions/{hash}/cancelOptional

Buyer-side cancel from the portal.

Authentication

Signature Pattern

None β€” public buyer endpoint, the subscription publicHash is the bearer.

Request Parameters

NameTypeRequiredDescription
atPeriodEndbooleanOptionalCancel at period end (default true)

Request Example

JSONRequest Body
{
  "atPeriodEnd": true
}

Response Parameters

FieldTypeExample
publicHashstring"kQ7rS1tV5wY8zaB3xK9mN2"
statusstring"active"
cancelAtPeriodEndbooleantrue

Response Example

JSONResponse
{
  "publicHash": "kQ7rS1tV5wY8zaB3xK9mN2",
  "status": "active",
  "cancelAtPeriodEnd": true
}

Status Codes

200Success
201Created
400Bad Request
401Unauthorized
404Not Found
429Rate Limited
Try itMock
POSThttps://api.pay.sandbox.kvell.group